Bug 159700 - kernel reports a bug when performing software suspend, and hungs
kernel reports a bug when performing software suspend, and hungs
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-06-07 04:38 EDT by yuval aviel
Modified: 2015-01-04 17:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-08 22:02:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description yuval aviel 2005-06-07 04:38:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux 2.6.11-1.14_FC3.root_cubbi1_swsusp2; X11; i686; en_US, he) (KHTML, like Gecko)

Description of problem:
In an attempt to test hibernation in FC4,  
I installed the latest kernel-2.6.11-1.1369_FC4.src.rpm and enabled *only* the 
software suspend option. 
after building and installing the new kernel, I started the hibernation 
process with "echo 4 >> /proc/acpi/sleep". This used to work in FC1 and 2. 
Here it report a kernel BUG and hangs. 
Due to the freezing, I cant save the output. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. build and install swsusp enabled kernel 
2. echo 4 >> /proc/acpi/sleep 

Additional info:
Comment 1 Warren Togami 2005-06-07 06:07:08 EDT
Does echo 3 have any better luck?
Comment 2 yuval aviel 2005-06-07 06:13:08 EDT
Forgot to mention: The machine is HP nx9000 (Laptop). 
On this machine suspend to RAM (sleep mode 3) never worked. I.e. it never 
succeeded to fully resume. I think it got to do with the BIOS, but i'm not 
Comment 3 Dave Jones 2005-06-08 22:02:06 EDT
swsusp isn't enabled in our builds for precisely reasons like this, it just
isn't ready for production.

Note You need to log in before you can comment on or make changes to this bug.